# Courses Usage Statistics
In our institution (Federal University of Lavras, Lavras, Brazil - in portuguese, [Universidade Federal de Lavras - UFLA](http://www.ufla.br/portal/), we have an expressive amount of courses in progress (~ 1.7k in just one Moodle instance, called "Campus Virtual"). The sector that coordinates the activities related to the "Campus Virtual" administration is called "[Diretoria de Educação à Distância (DIRED)](http://www.dired.ufla.br/portal/)". A question we have made to ourselves is: "how are all these courses being used by the professors?". 

In our preliminary research, we have found three main types of usage:

- The course is simply used as a communication channel by means of the announcement **forum** (forum usage is not recorded unless it's a discussion created in the news forum);

- The course is used as either a **repository** of files or a repository of URLs to external resources; and

- The course is effectively used by means of several types of **activities**, such as Quiz, Chat, Lesson, Wiki, among others.

We believe that the knowledge about the courses usage types is important because this may improve the strategies of training and information dissimination about the resources available in Moodle. However, gathering the statistics of courses usage is not a trivial task, mainly when this is performed in a manual way; the last time we did that, it tooks us 16 hours of our precious time ;).

Hence, we developed "Courses Usage Statistics"; this is a Moodle report plugin that helps the admin to known how the courses are being used by users (e.g. as forum, as file repositories or as activities repositories). Feel free to use and contribute to this project by improving the plugin functionality or letting us to know about possible bugs existing in its code. You can see some screenshots at https://moodle.org/plugins/report_coursestats.

**Important**: this plugin only records information after it's been installed.

## Releases

- v1.0: this is the first version of the plugin.
- v1.1: this version includes filters to usage types, such as, forum, repository and activities. 
- v1.2: this version fixes an issue related to number format. 

